glib-1.2.10 compile error

Randy McMurchy randy at linuxfromscratch.org
Mon Sep 27 19:01:34 PDT 2004


yinzhaohui wrote:
> while i compile glib-1.2.10, can't make it.
> error msg is:
> gstrfuncs.c: In function `g_printf_string_upper_bound':
> gstrfuncs.c:870: error: parse error before string constant
> gstrfuncs.c:1037: error: parse error before string constant
> gstrfuncs.c:1080: error: parse error before string constant
> gstrfuncs.c:1111: error: parse error before string constant
> make[2]: *** [gstrfuncs.lo] Error 1
> make[1]: *** [all-recursive] Error 1
> make: *** [all-recursive-am] Error 2
> 
> my system is Linux2.5.81+gcc 3.4.2

Did you install the gcc34 patch?

If so, you may be on your own here as it is probably something
to do with the 3.4.2 compiler which isn't yet used by stable or
testing versions of LFS.

I'm not sure how much BLFS testing the unstable LFS guys have
been doing, but I looked in the patch repository and there's
no more recent version of the gcc34 patch, so perhaps nobody
has encountered this yet.

-- 
Randy



More information about the blfs-support mailing list